{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
    <div class="content-box-large">
        <div class="panel-heading">
          <div class="panel-title">{{'Paid salaries'|trans}}</div>
          
          <div class="panel-options">
              <a href="{{path('employees_salaries_add',{
                id:employee.id
              })}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
          </div>
      </div>
        <div class="panel-body">
          <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                
                <th>{{'Paid on'|trans}}</th>
                <th>{{'Hours worked'|trans}}</th>
                <th>{{'Total paid'|trans}}</th>
                <th>{{'Actions'|trans}}</th>
              </tr>
            </thead>
            <tbody>
             {% for salary in salaries %} 
              <tr>

                <td>
                  {{salary.getDateCreated()|date("d.m.Y")}}
                </td>
                <td>
                  {{salary.getHoursWorked()}}
                </td>
                <td>
                  {{salary.getFormattedTotalPaid(default_currency_symbol)}}
                </td>
                <td>
                   
                    <a href="{{path('employees_salaries_delete',{
                        id:employee.id,
                        salary_id:salary.id
                    })}}">
                        <i class="fa fa-trash-alt"></i>
                    </a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
          </table>
          </div>
          {{knp_pagination_render(salaries)}}
        </div>
    </div>
</div>
{% endblock %}

